import fetch from '../../../../config/fetch'

const baseUrl = '/device';

// /**
//  * @description 获取供应商列表
//  * @param {Object} data
//  * @author sm
//  */
// export const getSupplierList = (data) => fetch('/gfManage/getList', baseUrl, data, 'JSON', 'GET', 'FORMDATA');


/**
 * @description 获取供应商列表
 * @param {Object} data
 * @author sm
 */
export const getSupplierList = (data) => fetch('/gfManage/getList', baseUrl, data, 'JSON', 'POST');

/**
 * 获取供应商列表详情
 */
export const earnScoreDetail = (data)=>fetch('/gfManage/getDetail',baseUrl,data,'JSON','POST','FORMDATA')

/**
 * 打分接口
 */
export const uploadScoreInfo = (data)=>fetch('/gfScore/makeScore',baseUrl,data,'JSON','POST')


/**
 * @description 处理
 * @param {Object} data
 * @author sm
 */
export const dealTask = (data) => fetch('/tbgInspectionWarning/operateByWarningId', baseUrl, data, 'JSON', 'POST');

/**
 * 获取当前最新评分
 */
export const earnScore = (data)=>fetch('/gfScore/getLatestScoreRecord',baseUrl,data,'JSON','GET','JSON')

/**
 * 获取打分记录
 */
export const getScoreRecord = (data)=>fetch('/gfScore/getScoreRecord',baseUrl,data,'JSON','GET','JSON')
