export const routes = [{
    path: '/',
    name: 'Index',
    component: () => import('../pages/index.vue'),
    meta: {
      title: '首页'
    }
  },
  {
    path: '/submitByMy', //流程管理
    name: 'submitByMy',
    component: () => import('./../pages/approvalProcess/submitByMy/list.vue'),
    meta: {
      title: '流程管理',
      keepAlive: false
    }
  },
  {
    path: '/approveDetail', //详情
    name: 'approveDetail',
    component: () => import('./../pages/approvalProcess/approveDetail.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/approveDetailFee', //详情
    name: 'approveDetailFee',
    component: () => import('./../pages/approvalProcess/approveDetailFee.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/approveDetailNoFee', //详情
    name: 'approveDetailNoFee',
    component: () => import('./../pages/approvalProcess/approveDetailNoFee.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/approveDetailEdit', //详情
    name: 'approveDetailEdit',
    component: () => import('./../pages/approvalProcess/approveDetailEdit.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/approveDetailCw', //详情
    name: 'approveDetailCw',
    component: () => import('./../pages/approvalProcess/approveDetailCw.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/approveDetailYc', //详情
    name: 'approveDetailYc',
    component: () => import('./../pages/approvalProcess/approveDetailYc.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/approveDetailFw', //详情
    name: 'approveDetailFw',
    component: () => import('./../pages/approvalProcess/approveDetailFw.vue'),
    meta: {
      title: '审批详情'
    }
  },
  {
    path: '/chjApproveDetail', //详情
    name: 'chjApproveDetail',
    component: () => import('./../pages/approvalProcess/chjApproveDetail.vue'),
    meta: {
      title: '审批详情'
    }
  },

  {
    path: '/approveByMy', //我审批的
    name: 'approveByMy',
    component: () => import('./../pages/approvalProcess/approveByMy/list.vue'),
    meta: {
      title: '我审批的',
      keepAlive: false
    }
  },
  {
    path: '/staffItemPassportList',
    name: 'StaffItemPassportList',
    component: () => import('./../pages/itemPassport/staffItemPassportList.vue'),
    meta: {
      title: '物品放行'
    }
  },
  {
    path: '/itemPassportDetail',
    name: 'ItemPassportDetail',
    component: () => import('../pages/itemPassport/itemPassportDetail.vue'),
    meta: {
      title: '放行详情'
    }
  },
  {
    path: '/houseInfoList',
    name: 'HouseInfoList',
    component: () => import('../pages/houseManager/houseInfoList.vue'),
    meta: {
      title: '房屋信息'
    }
  },
  {
    path: '/houseInfoListDetail',
    name: 'HouseInfoListDetail',
    component: () => import('../pages/houseManager/houseInfoListDetail.vue'),
    meta: {
      title: '尾房信息'
    }
  },
  {
    path: '/manageView',
    name: 'manageView',
    component: () => import('../pages/manageView/index.vue'),
    meta: {
      title: '管理视图'
    }
  },
  {
    path: '/warningDevice',
    name: 'warningDevice',
    component: () => import('../pages/device/warningList.vue'),
    meta: {
      title: '预警设备'
    }
  },
  {
    path: '/normalDevice',
    name: 'normalDevice',
    component: () => import('../pages/manageView/normalList.vue'),
    meta: {
      title: '正常设备列表'
    }
  },
  {
    path: '/faultDevice',
    name: 'faultDevice',
    component: () => import('../pages/manageView/faultList.vue'),
    meta: {
      title: '故障设备列表'
    }
  },
  {
    path: '/computerRegister',
    name: 'computerRegister',
    component: () => import('../pages/computerRoom/register.vue'),
    meta: {
      title: '机房登记'
    }
  },
  {
    path: '/computerRoomList',
    name: 'computerRoomList',
    component: () => import('../pages/computerRoom/list.vue'),
    meta: {
      title: '机房详情'
    }
  },
  {
    path: '/meetingList',
    name: 'meetingList',
    component: () => import('../pages/meetingManage/list.vue'),
    meta: {
      title: '会议管理'
    }
  },
  {
    path: '/meetingDetail',
    name: 'meetingList',
    component: () => import('../pages/meetingManage/detail.vue'),
    meta: {
      title: '会议详情'
    }
  },
  {
    path: '/meetingBooking',
    name: 'meetingBooking',
    component: () => import('../pages/meetingManage/meetingBooking.vue'),
    meta: {
      title: '会议室预约'
    }
  },
  {
    path: '/newMeeting/:bookingDate',
    name: 'newMeeting',
    component: () => import('../pages/meetingManage/newMeeting.vue'),
    meta: {
      title: '预约详情'
    }
  },
  {
    path: '/signSuccess',
    name: 'signSuccess',
    component: () => import('../pages/meetingManage/signSuccess.vue'),
    meta: {
      title: '签到成功'
    }
  },
  {
    path: '/meetingMaterials',
    name: 'meetingMaterials',
    component: () => import('../pages/meetingManage/meetingMaterials.vue'),
    meta: {
      title: '会议材料'
    }
  },
  {
    path: '/myDeviceBorrowList',
    name: 'MyDeviceBorrowList',
    component: () => import('../pages/deviceBorrow/myDeviceBorrowList.vue'),
    meta: {
      title: '我的借用'
    }
  },
  {
    path: '/myDeviceBorrowDetail',
    name: 'MyDeviceBorrowDetail',
    component: () => import('../pages/deviceBorrow/myDeviceBorrowDetail.vue'),
    meta: {
      title: '详情'
    }
  },
  {
    path: '/borrowDevice',
    name: 'BorrowDevice',
    component: () => import('../pages/deviceBorrow/BorrowDevice.vue'),
    meta: {
      title: '借入登记'
    }
  },
  {
    path: '/xunJianStandard',
    name: 'xunJianStandard',
    component: () => import('../pages/deviceBorrow/xunJianStandard.vue'),
    meta: {
      title: '巡检标准'
    }
  },
  {
    path: '/manageDeviceBorrowList',
    name: 'manageDeviceBorrowList',
    component: () => import('../pages/deviceBorrow/manageDeviceBorrowList.vue'),
    meta: {
      title: '设备管理'
    }
  },
  {
    path: '/mobileChargeDetail',
    name: 'mobileChargeDetail',
    component: () => import('../pages/mobileCharge/mobileChargeDetail.vue'),
    meta: {
      title: '移动收费'
    }
  },
  {
    path: '/paySuccess',
    name: 'paySuccess',
    component: () => import('../pages/mobileCharge/paySuccess.vue'),
    meta: {
      title: '支付成功'
    }
  },
  {
    path: '/chargeRecordList',
    name: 'chargeRecordList',
    component: () => import('../pages/mobileCharge/chargeRecordList.vue'),
    meta: {
      title: '移动收费'
    }
  },
  {
    path: '/chargeScreen',
    name: 'chargeScreen',
    component: () => import('../pages/mobileCharge/chargeScreen.vue'),
    meta: {
      title: '筛选'
    }
  },
  {
    path: '/chargeRecordDetail',
    name: 'chargeRecordDetail',
    component: () => import('../pages/mobileCharge/chargeRecordDetail.vue'),
    meta: {
      title: '收费详情'
    }
  },
  {
    path: '/providerType',
    name: 'providerType',
    component: () => import('../pages/providerInfo/providerType.vue'),
    meta: {
      title: '分类'
    }
  },
  {
    path: '/providerInfo',
    name: 'providerInfo',
    component: () => import('../pages/providerInfo/providerInfo.vue'),
    meta: {
      title: '供方信息'
    }
  },
  {
    path: '/performanceDetail',
    name: 'performanceDetail',
    component: () => import('../pages/providerInfo/performanceDetail.vue'),
    meta: {
      title: '履约详情'
    }
  },
  {
    path: '/providerDocument',
    name: 'providerDocument',
    component: () => import('../pages/providerInfo/providerDocument.vue'),
    meta: {
      title: '供方档案'
    }
  },
  {
    path: '/providerDocumentBaseInfo',
    name: 'providerDocumentBaseInfo',
    component: () => import('../pages/providerInfo/providerDocumentBaseInfo.vue'),
    meta: {
      title: '基础信息'
    }
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('../pages/login.vue'),
    meta: {
      title: '登录'
    }
  },
  {
    path: '/providerDocumentClassifyInfo',
    name: 'providerDocumentClassifyInfo',
    component: () => import('../pages/providerInfo/providerDocumentClassifyInfo.vue'),
    meta: {
      title: '分类信息'
    }
  },
  {
    path: '/providerDocumentAgreement',
    name: 'providerDocumentAgreement',
    component: () => import('../pages/providerInfo/providerDocumentAgreement.vue'),
    meta: {
      title: '合同列表'
    }
  },
  {
    path: '/providerDocumentAgreementDetail',
    name: 'providerDocumentAgreementDetail',
    component: () => import('../pages/providerInfo/providerDocumentAgreementDetail.vue'),
    meta: {
      title: '合同详情'
    }
  },
  {
    path: '/providerDocumentTender',
    name: 'providerDocumentTender',
    component: () => import('../pages/providerInfo/providerDocumentTender.vue'),
    meta: {
      title: '投标记录'
    }
  },
  {
    path: '/providerDocumentResult',
    name: 'providerDocumentResult',
    component: () => import('../pages/providerInfo/providerDocumentResult.vue'),
    meta: {
      title: '奖罚记录'
    }
  },
  {
    path: '/supplierList',
    name: 'supplierList',
    component: () => import('../pages/SupplierManager/supplierList.vue'),
    meta: {
      title: '供应商管理'
    }
  },
  {
    path: '/scoreDetail',
    name: 'scoreDetail',
    component: () => import('../pages/SupplierManager/scoreDetail.vue'),
    meta: {
      title: '评分详情'
    }
  },
  {
    path: '/supplierDetailPage',
    name: 'supplierDetailPage',
    component: () => import('../pages/SupplierManager/supplierDetailPage.vue'),
    meta: {
      title: '详情'
    }
  },
  {
    path: '/scorePage',
    name: 'scorePage',
    component: () => import('../pages/SupplierManager/scorePage.vue'),
    meta: {
      title: '评分'
    }
  },
  {
    path: '/recordDetailPage',
    name: 'recordDetailPage',
    component: () => import('../pages/SupplierManager/recordDetailPage.vue'),
    meta: {
      title: '记录详情'
    }
  },
  {
    path: '/decorateList',
    name: 'decorateList',
    component: () => import('../pages/crm/decorateManage/decorateList.vue'),
    meta: {
      title: '装修申请',
      keepAlive: true,
    }
  },
  {
    path: '/decorateOperate',
    name: 'decorateOperate',
    component: () => import('../pages/crm/decorateManage/decorateOperate.vue'),
    meta: {
      title: '操作'
    }
  },
  {
    path: '/breakRulesList',
    name: 'breakRulesList',
    component: () => import('../pages/crm/decorateManage/breakRulesList.vue'),
    meta: {
      title: '违规列表'
    }
  },
  {
    path: '/breakRulesDetail',
    name: 'breakRulesDetail',
    component: () => import('../pages/crm/decorateManage/breakRulesDetail.vue'),
    meta: {
      title: '违规详情'
    }
  },
  {
    path: '/breakRulesListCheck',
    name: 'breakRulesListCheck',
    component: () => import('../pages/crm/decorateManage/breakRulesListCheck.vue'),
    meta: {
      title: '违规列表',
      keepAlive: true,
    }
  },
  {
    path: '/breakRulesInfoDetail',
    name: 'breakRulesInfoDetail',
    component: () => import('../pages/crm/decorateManage/breakRulesInfoDetail.vue'),
    meta: {
      title: '详情'
    }
  },
]
